version: '3'
services:
  db:
    restart: always
    image: postgres:9.6-alpine
    network_mode: host
    environment:
      - POSTGRES_PASSWORD=123456
      - POSTGRES_USER=sauron
      - POSTGRES_DB=sauron
    healthcheck:
      test: ["CMD", "pg_isready", "-U", "postgres"]
    volumes:
      - ./postgres:/var/lib/postgresql/data

#  redis:
#    restart: always
#    image: redis:5.0-alpine
#    network_mode: host
#    healthcheck:
#      test: ["CMD", "redis-cli", "ping"]
#    volumes:
#      - ./redis:/data

  web:
    image: registry.gitlab.com/nautile.nc/sauron:master
    restart: always
    command: bash -c "rm -f /opt/sauron/tmp/pids/server.pid; export RUBYOPT='-W:no-deprecated' ; bundle exec rails db:migrate ;  bundle exec rails s -p 3000 -b '[::]'"
    env_file: .env.production
    network_mode: host
    healthcheck:
      test: ["CMD-SHELL", "wget -q --spider --proxy=off localhost:3000/ || exit 1"]
    volumes:
      #- ./db/development.sqlite3:/opt/sauron/db/development.sqlite3
      - ./config/application.yml:/opt/sauron/config/application.yml
      - ./ldap.yml:/opt/sauron/config/ldap.yml
      - ./log:/opt/sauron/log
    environment:
      - RAILS_ENV=production
      - NODE_ENV=production
      - DB_HOST=127.0.0.1
      - DB_NAME=sauron
      - DB_USER=sauron
      - DB_PASSWORD=123456
      - SECRET_KEY_BASE=cb96feef6ed1855deb0ca8b99efeefbfe5e643921f5a6ec0707aa6b30107b10b045c78fedbeb31e410f4a9c664c925782de89a079567e45de4e6f05d0a149ec8
